For the complete documentation index, see llms.txt. This page is also available as Markdown.

Integrations

External sources from which resources and metadata are extracted.

List Integrations

get
/api/v1/integration/integrations

This endpoint will return all the integrations active in your workspace.

Authorizations
Query parameters
typestringOptional

The type of integrations to filter.

Example: bigquery
Responses
200

List of integrations.

application/json
countintegerOptional

The total count of items returned.

Example: 315
total_pagesintegerOptional

The total number of pages.

Example: 7
get/api/v1/integration/integrations
GET /api/v1/integration/integrations HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "links": {
    "next": "https://api.secoda.co/resource/all/?page=2",
    "previous": "None"
  },
  "meta": {
    "page": 1,
    "previous_page": "None",
    "next_page": 2
  },
  "count": 315,
  "total_pages": 7,
  "results": [
    {
      "id": "740904fe-e87d-44f8-8a91-b13631ff2812",
      "created_at": "2023-09-22T15:30:00Z",
      "updated_at": "2023-09-22T15:30:00Z",
      "name": "Tableau",
      "type": "tableau",
      "credentials": {},
      "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
      "ssh_tunnel": "None",
      "execute_access": [
        "f71585fa-251c-4102-8d81-c97c57c8d435"
      ],
      "scheduled_extractions_hour": 3,
      "scheduled_extractions_frequency": 7,
      "scheduled_extractions_next_run": "2023-10-15T09:45:00Z",
      "scheduled_extractions_last_run": "2023-10-15T09:45:00Z",
      "properties": {},
      "preview_access_users": [
        "f71585fa-251c-4102-8d81-c97c57c8d435"
      ],
      "preview_access_roles": [
        "Admin",
        "Editor"
      ],
      "preview_access_groups": [
        "f71585fa-251c-4102-8d81-c97c57c8d435"
      ],
      "teams": [
        "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
      ]
    }
  ]
}

Create Integration

post
/api/v1/integration/integrations

Use this endpoint to create a custom integration, or add credentials for a native integration programatically.

Authorizations
Body
namestringOptional

Represents the name of the integration data source or tool.

Example: Sample Integration
typestringOptional

This indicates the type of integration (e.g., "custom").

Example: custom
teamsstring[]Optional

Indicates the teams associated with this integration. The access can be edited in the UI.

Example: ["4c0e07c0-306a-4f4e-8b2b-6a8d7a33d251","a5423e2e-93b8-4b2c-af3c-7b7f0eefea14"]
credentialsobjectOptional

If you are adding a custom integration, the value of this parameter should always be empty {}.

Responses
201

Integration created successfully.

application/json
idstringOptional

The ID of the created integration.

Example: 740904fe-e87d-44f8-8a91-b13631ff2812
created_atstring · date-timeOptional

The timestamp when the integration was created in Secoda in UTC format.

Example: 2023-09-22T15:30:00Z
updated_atstring · date-timeOptional

The timestamp when the integration was last updated in Secoda UTC format.

Example: 2023-09-22T15:30:00Z
namestringOptional

The name of the integration.

Example: Tableau
typestringOptional

The type of integration.

Example: tableau
credentialsobjectOptional

The actual credentials of the integration will NOT be returned. Can you find the easter egg in this response parameter for native integrations?

workspace_idstringOptional

The ID of the associated workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
ssh_tunnelstringOptional

Information about SSH tunnel if one is set update.

Example: None
execute_accessstring[]Optional

List of IDs that have the permission to trigger the extracton.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
scheduled_extractions_hourintegerOptional

Hour for scheduled extractions. Will be null for custom extractions.

Example: 3
scheduled_extractions_frequencyintegerOptional

Frequency in days of scheduled extractions. Will be null for custom extractions.

Example: 7
scheduled_extractions_next_runstring · date-timeOptional

Next scheduled extraction run time. Will be null for custom extractions.

Example: 2023-10-15T09:45:00Z
scheduled_extractions_last_runstringOptional

Last scheduled extraction run time (null in this response).

Example: 2023-10-15T09:45:00Z
propertiesobjectOptional

Additional properties associated with the integration.

preview_access_usersstring[]Optional

List of users IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
preview_access_rolesstring[]Optional

List of roles that are allowed to preview the data in the integration.

  • Admin
  • Editor
  • Viewer

Example: ["Admin","Editor"]
preview_access_groupsstring[]Optional

List of users group IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
teamsstring[]Optional

List of team IDs associated with the integration.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
post/api/v1/integration/integrations
POST /api/v1/integration/integrations HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 150

{
  "name": "Sample Integration",
  "type": "custom",
  "teams": [
    "4c0e07c0-306a-4f4e-8b2b-6a8d7a33d251",
    "a5423e2e-93b8-4b2c-af3c-7b7f0eefea14"
  ],
  "credentials": {}
}
{
  "id": "740904fe-e87d-44f8-8a91-b13631ff2812",
  "created_at": "2023-09-22T15:30:00Z",
  "updated_at": "2023-09-22T15:30:00Z",
  "name": "Tableau",
  "type": "tableau",
  "credentials": {},
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
  "ssh_tunnel": "None",
  "execute_access": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "scheduled_extractions_hour": 3,
  "scheduled_extractions_frequency": 7,
  "scheduled_extractions_next_run": "2023-10-15T09:45:00Z",
  "scheduled_extractions_last_run": "2023-10-15T09:45:00Z",
  "properties": {},
  "preview_access_users": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "preview_access_roles": [
    "Admin",
    "Editor"
  ],
  "preview_access_groups": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "teams": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
  ]
}

Get Integration

get
/api/v1/integration/integrations/{integration_id}

This endpoint will provide the details of an individual integration.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to retrieve.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Responses
200

Integration details retrieved successfully.

application/json
idstringOptional

The ID of the created integration.

Example: 740904fe-e87d-44f8-8a91-b13631ff2812
created_atstring · date-timeOptional

The timestamp when the integration was created in Secoda in UTC format.

Example: 2023-09-22T15:30:00Z
updated_atstring · date-timeOptional

The timestamp when the integration was last updated in Secoda UTC format.

Example: 2023-09-22T15:30:00Z
namestringOptional

The name of the integration.

Example: Tableau
typestringOptional

The type of integration.

Example: tableau
credentialsobjectOptional

The actual credentials of the integration will NOT be returned. Can you find the easter egg in this response parameter for native integrations?

workspace_idstringOptional

The ID of the associated workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
ssh_tunnelstringOptional

Information about SSH tunnel if one is set update.

Example: None
execute_accessstring[]Optional

List of IDs that have the permission to trigger the extracton.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
scheduled_extractions_hourintegerOptional

Hour for scheduled extractions. Will be null for custom extractions.

Example: 3
scheduled_extractions_frequencyintegerOptional

Frequency in days of scheduled extractions. Will be null for custom extractions.

Example: 7
scheduled_extractions_next_runstring · date-timeOptional

Next scheduled extraction run time. Will be null for custom extractions.

Example: 2023-10-15T09:45:00Z
scheduled_extractions_last_runstringOptional

Last scheduled extraction run time (null in this response).

Example: 2023-10-15T09:45:00Z
propertiesobjectOptional

Additional properties associated with the integration.

preview_access_usersstring[]Optional

List of users IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
preview_access_rolesstring[]Optional

List of roles that are allowed to preview the data in the integration.

  • Admin
  • Editor
  • Viewer

Example: ["Admin","Editor"]
preview_access_groupsstring[]Optional

List of users group IDs with access to preview the data in the integration.

Example: ["f71585fa-251c-4102-8d81-c97c57c8d435"]
teamsstring[]Optional

List of team IDs associated with the integration.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
get/api/v1/integration/integrations/{integration_id}
GET /api/v1/integration/integrations/{integration_id} HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "id": "740904fe-e87d-44f8-8a91-b13631ff2812",
  "created_at": "2023-09-22T15:30:00Z",
  "updated_at": "2023-09-22T15:30:00Z",
  "name": "Tableau",
  "type": "tableau",
  "credentials": {},
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
  "ssh_tunnel": "None",
  "execute_access": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "scheduled_extractions_hour": 3,
  "scheduled_extractions_frequency": 7,
  "scheduled_extractions_next_run": "2023-10-15T09:45:00Z",
  "scheduled_extractions_last_run": "2023-10-15T09:45:00Z",
  "properties": {},
  "preview_access_users": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "preview_access_roles": [
    "Admin",
    "Editor"
  ],
  "preview_access_groups": [
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "teams": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
  ]
}

Delete Integration

delete
/api/v1/integration/integrations/{integration_id}

This endpoint deletes a specific integration by its ID.

Authorizations
Path parameters
integration_idstringRequired

ID of the integration to delete

Example: e7691426-2c2a-46b4-98e7-d09d0b82b2b1
Responses
204

Integration deleted successfully

No content

delete/api/v1/integration/integrations/{integration_id}
DELETE /api/v1/integration/integrations/{integration_id} HTTP/1.1
Host: api.secoda.co
Accept: */*

No content

Upload Integration Metadata (via CSV)

post
/api/v1/integration/integrations/{integration_id}/import_metadata

This endpoint allows the upload of integration metadata using a CSV. This can also be done through the UI. See more about CSV uploads here.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to upload metadata for.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Body
filestring · binaryOptional

The path to the CSV file containing your metadata and resources. The format of the CSV file can be found here.

Example: path/to/your/file.csv
Responses
200

Integration metadata uploaded successfully.

No content

post/api/v1/integration/integrations/{integration_id}/import_metadata
POST /api/v1/integration/integrations/{integration_id}/import_metadata HTTP/1.1
Host: api.secoda.co
Content-Type: multipart/form-data
Accept: */*
Content-Length: 32

{
  "file": "path/to/your/file.csv"
}

No content

Upload Integration Metadata (via JSONL)

post
/api/v1/integration/integrations/{integration_id}/import_jsonl_metadata

This endpoint allows the upload of integration metadata as well as integration lineage using a JSONL file. This can also be done through the UI. See more about JSONL uploads here.

Authorizations
Path parameters
integration_idstringRequired

The ID of the integration to upload metadata and/or lineage for.

Example: d31e59c7-cd52-4398-9d6e-da313a7b7775
Body
resources_filestring · binaryRequired

The path to the your resources file. The expected formatting of this file can be found here.

Example: path/to/your/resources_file.jsonl
lineages_filestring · binaryOptional

The path to the your lineages file. The expected formatting of this file can be found here.

Example: path/to/your/lineages_file.jsonl
Responses
200

Integration JSONL file uploaded successfully.

No content

post/api/v1/integration/integrations/{integration_id}/import_jsonl_metadata
POST /api/v1/integration/integrations/{integration_id}/import_jsonl_metadata HTTP/1.1
Host: api.secoda.co
Content-Type: multipart/form-data
Accept: */*
Content-Length: 105

{
  "resources_file": "path/to/your/resources_file.jsonl",
  "lineages_file": "path/to/your/lineages_file.jsonl"
}

No content

Upload dbt Core Artifacts

post
/api/v1/integration/dbt/{integration_id}/upload_artifacts/
Authorizations
Path parameters
integration_idstringRequired

The ID of the dbt Core integration

Body
run_resultsstring · binaryRequired
manifeststring · binaryRequired
Responses
200

Artifacts uploaded successfully.

No content

post/api/v1/integration/dbt/{integration_id}/upload_artifacts/
POST /api/v1/integration/dbt/{integration_id}/upload_artifacts/ HTTP/1.1
Host: api.secoda.co
Content-Type: multipart/form-data
Accept: */*
Content-Length: 44

{
  "run_results": "binary",
  "manifest": "binary"
}
200

Artifacts uploaded successfully.

No content

Trigger dbt Core Sync

post
/api/v1/integration/dbt/{integration_id}/trigger/
Authorizations
Path parameters
integration_idstringRequired

The ID of the dbt Core integration

Responses
200

Integration sync triggered successfully.

No content

post/api/v1/integration/dbt/{integration_id}/trigger/
POST /api/v1/integration/dbt/{integration_id}/trigger/ HTTP/1.1
Host: api.secoda.co
Accept: */*

No content

Get Entities With Failing Tests

get
/api/v1/integration/dbt/{integration_id}/failing_tests/

Get entities with tests that are failing or have a warning.

Authorizations
Path parameters
integration_idstringRequired
Responses
200

OK

application/json
warningstring[]Required
failingstring[]Required
get/api/v1/integration/dbt/{integration_id}/failing_tests/
GET /api/v1/integration/dbt/{integration_id}/failing_tests/ HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "warning": [
    "text"
  ],
  "failing": [
    "text"
  ]
}

List Access Requests

get
/api/v1/integration_v2/data-access-requests/

List data access requests with optional filters

Authorizations
Query parameters
statusstring · enum · nullableOptionalPossible values:
integration_idstring · nullableOptional
created_bystring · nullableOptional
sortstring · nullableOptional
filterstring · nullableOptional
pageinteger · nullableOptionalDefault: 1
Responses
200

OK

application/json
countintegerRequired
total_pagesintegerRequired
get/api/v1/integration_v2/data-access-requests/
GET /api/v1/integration_v2/data-access-requests/ HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "results": [
    {
      "status": "pending",
      "integration_name": "text",
      "created_by": {
        "role": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "first_name": "text",
        "last_name": "text",
        "display_name": "text",
        "email": "text",
        "profile_picture": "text",
        "disabled": true,
        "is_service_account": true
      },
      "rejected_by": {
        "role": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "first_name": "text",
        "last_name": "text",
        "display_name": "text",
        "email": "text",
        "profile_picture": "text",
        "disabled": true,
        "is_service_account": true
      },
      "approved_by": {
        "role": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "first_name": "text",
        "last_name": "text",
        "display_name": "text",
        "email": "text",
        "profile_picture": "text",
        "disabled": true,
        "is_service_account": true
      },
      "cancelled_by": {
        "role": "text",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "first_name": "text",
        "last_name": "text",
        "display_name": "text",
        "email": "text",
        "profile_picture": "text",
        "disabled": true,
        "is_service_account": true
      },
      "approved_grant_role": "text",
      "approved_resources": [
        {
          "id": "text",
          "database_name": "text",
          "schema_name": "text",
          "table_name": "text",
          "resource_level": "table",
          "entity_type": "table",
          "icon": "text",
          "integration_id": "text",
          "native_type": "text",
          "search_metadata": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "title": "text"
        }
      ],
      "approved_grant_privileges_to_role": [
        "USAGE"
      ],
      "requested_resources": [
        {
          "id": "text",
          "database_name": "text",
          "schema_name": "text",
          "table_name": "text",
          "resource_level": "table",
          "entity_type": "table",
          "icon": "text",
          "integration_id": "text",
          "native_type": "text",
          "search_metadata": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "title": "text"
        }
      ],
      "temporary_user_name": "text",
      "temporary_user_password": "text",
      "has_seen_credentials": false,
      "can_manage": false,
      "logs": [
        {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      ],
      "servicenow_url": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "archived": false,
      "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
      "integration_id": "123e4567-e89b-12d3-a456-426614174000",
      "queries_executed": {},
      "queries_reverse": {},
      "queries_reverse_executed": {},
      "logs_hex": "text",
      "logs_nonce": "text",
      "requested_expires_at": "2026-01-01T00:00:00.000Z",
      "requested_text": "text",
      "rejected_text": "text",
      "approved_expires_at": "2026-01-01T00:00:00.000Z",
      "approved_text": "text",
      "cancelled_text": "text",
      "cancelled_at": "2026-01-01T00:00:00.000Z",
      "approved_at": "2026-01-01T00:00:00.000Z",
      "rejected_at": "2026-01-01T00:00:00.000Z",
      "temporary_user_password_nonce": "text",
      "temporary_user_password_hex": "text",
      "servicenow_issue": {},
      "data_need_explanation": "text",
      "data_shared_externally_description": "text",
      "data_usage_description": "text",
      "additional_information": "text",
      "requesting_department": "text",
      "resources": [
        "text"
      ]
    }
  ],
  "count": 1,
  "total_pages": 1,
  "meta": {
    "page": 1,
    "previous_page": 1,
    "next_page": 1
  },
  "links": {
    "previous": "text",
    "next": "text"
  }
}

Create Access Request

post
/api/v1/integration_v2/data-access-requests/

Create a new data access request

Authorizations
Body
integration_idstringRequired
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
Responses
201

Created

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
post/api/v1/integration_v2/data-access-requests/
POST /api/v1/integration_v2/data-access-requests/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 396

{
  "integration_id": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table"
    }
  ],
  "requested_text": "text",
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text"
}
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Count Pending Requests

get
/api/v1/integration_v2/data-access-requests/pending-count/

Get the count of pending data access requests in the workspace

Authorizations
Responses
200

OK

application/json
integerOptional
get/api/v1/integration_v2/data-access-requests/pending-count/
GET /api/v1/integration_v2/data-access-requests/pending-count/ HTTP/1.1
Host: api.secoda.co
Accept: */*
1

Approve Access Request

post
/api/v1/integration_v2/data-access-requests/{request_id}/approve/

Approve a data access request

Authorizations
Path parameters
request_idstringRequired
Body
grant_typestring · enum · nullableOptionalPossible values:
rolestring · nullableOptional
usernamestring · nullableOptional
privilegesstring[] · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
post/api/v1/integration_v2/data-access-requests/{request_id}/approve/
POST /api/v1/integration_v2/data-access-requests/{request_id}/approve/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 293

{
  "grant_type": "grant_privileges_to_role",
  "role": "text",
  "username": "text",
  "privileges": [
    "text"
  ],
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table"
    }
  ],
  "approved_text": "text"
}
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Reject Access Request

post
/api/v1/integration_v2/data-access-requests/{request_id}/reject/

Reject a data access request

Authorizations
Path parameters
request_idstringRequired
Body
rejected_textstring · nullableOptional
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
post/api/v1/integration_v2/data-access-requests/{request_id}/reject/
POST /api/v1/integration_v2/data-access-requests/{request_id}/reject/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "rejected_text": "text"
}
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Get Access Request

get
/api/v1/integration_v2/data-access-requests/{request_id}/

Get a specific data access request

Authorizations
Path parameters
request_idstringRequired
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
get/api/v1/integration_v2/data-access-requests/{request_id}/
GET /api/v1/integration_v2/data-access-requests/{request_id}/ HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Delete Access Request

delete
/api/v1/integration_v2/data-access-requests/{request_id}/

Delete a data access request

Authorizations
Path parameters
request_idstringRequired
Responses
200

OK

No content

delete/api/v1/integration_v2/data-access-requests/{request_id}/
DELETE /api/v1/integration_v2/data-access-requests/{request_id}/ HTTP/1.1
Host: api.secoda.co
Accept: */*

No content

Update Access Request

patch
/api/v1/integration_v2/data-access-requests/{request_id}/

Update specific fields of a pending access request

Authorizations
Path parameters
request_idstringRequired
Body
integration_idstringRequired
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
patch/api/v1/integration_v2/data-access-requests/{request_id}/
PATCH /api/v1/integration_v2/data-access-requests/{request_id}/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 396

{
  "integration_id": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table"
    }
  ],
  "requested_text": "text",
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text"
}
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Get Access Request Credentials

post
/api/v1/integration_v2/data-access-requests/{request_id}/credentials/

Get a specific data access request credentials

Authorizations
Path parameters
request_idstringRequired
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
post/api/v1/integration_v2/data-access-requests/{request_id}/credentials/
POST /api/v1/integration_v2/data-access-requests/{request_id}/credentials/ HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

Cancel Access Request

post
/api/v1/integration_v2/data-access-requests/{request_id}/cancel/

Cancel a data access request and revert any granted permissions

Authorizations
Path parameters
request_idstringRequired
Body
cancelled_textstring · nullableOptional
Responses
200

OK

application/json
statusstring · enumRequiredPossible values:
integration_namestringRequired
approved_grant_rolestring · nullableOptional
temporary_user_namestring · nullableOptional
temporary_user_passwordstring · nullableOptional
has_seen_credentialsbooleanOptionalDefault: false
can_managebooleanOptionalDefault: false
servicenow_urlstring · nullableOptional
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
archivedbooleanOptionalDefault: false
workspace_idstring · uuid · nullableOptional
integration_idstring · uuid · nullableOptional
queries_executedobject · Queries Executed · nullableOptional
queries_reverseobject · Queries Reverse · nullableOptional
queries_reverse_executedobject · Queries Reverse Executed · nullableOptional
logs_hexstring · nullableOptional
logs_noncestring · nullableOptional
requested_expires_atstring · date-time · nullableOptional
requested_textstring · nullableOptional
rejected_textstring · nullableOptional
approved_expires_atstring · date-time · nullableOptional
approved_textstring · nullableOptional
cancelled_textstring · nullableOptional
cancelled_atstring · date-time · nullableOptional
approved_atstring · date-time · nullableOptional
rejected_atstring · date-time · nullableOptional
temporary_user_password_noncestring · nullableOptional
temporary_user_password_hexstring · nullableOptional
servicenow_issueobject · Servicenow Issue · nullableOptional
data_need_explanationstring · nullableOptional
data_shared_externally_descriptionstring · nullableOptional
data_usage_descriptionstring · nullableOptional
additional_informationstring · nullableOptional
requesting_departmentstring · nullableOptional
resourcesstring[]Required
post/api/v1/integration_v2/data-access-requests/{request_id}/cancel/
POST /api/v1/integration_v2/data-access-requests/{request_id}/cancel/ HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "cancelled_text": "text"
}
{
  "status": "pending",
  "integration_name": "text",
  "created_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "rejected_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "cancelled_by": {
    "role": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "first_name": "text",
    "last_name": "text",
    "display_name": "text",
    "email": "text",
    "profile_picture": "text",
    "disabled": true,
    "is_service_account": true
  },
  "approved_grant_role": "text",
  "approved_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "approved_grant_privileges_to_role": [
    "USAGE"
  ],
  "requested_resources": [
    {
      "id": "text",
      "database_name": "text",
      "schema_name": "text",
      "table_name": "text",
      "resource_level": "table",
      "entity_type": "table",
      "icon": "text",
      "integration_id": "text",
      "native_type": "text",
      "search_metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "title": "text"
    }
  ],
  "temporary_user_name": "text",
  "temporary_user_password": "text",
  "has_seen_credentials": false,
  "can_manage": false,
  "logs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ],
  "servicenow_url": "text",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "archived": false,
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "integration_id": "123e4567-e89b-12d3-a456-426614174000",
  "queries_executed": {},
  "queries_reverse": {},
  "queries_reverse_executed": {},
  "logs_hex": "text",
  "logs_nonce": "text",
  "requested_expires_at": "2026-01-01T00:00:00.000Z",
  "requested_text": "text",
  "rejected_text": "text",
  "approved_expires_at": "2026-01-01T00:00:00.000Z",
  "approved_text": "text",
  "cancelled_text": "text",
  "cancelled_at": "2026-01-01T00:00:00.000Z",
  "approved_at": "2026-01-01T00:00:00.000Z",
  "rejected_at": "2026-01-01T00:00:00.000Z",
  "temporary_user_password_nonce": "text",
  "temporary_user_password_hex": "text",
  "servicenow_issue": {},
  "data_need_explanation": "text",
  "data_shared_externally_description": "text",
  "data_usage_description": "text",
  "additional_information": "text",
  "requesting_department": "text",
  "resources": [
    "text"
  ]
}

List Slack Conversations or Channels

get
/api/v2/integration_v2/slack/conversations/list/

Use this endpoint to list all available Slack conversations or channels.

Authorizations
Responses
200

OK

application/json
idstringRequired
namestringRequired
get/api/v2/integration_v2/slack/conversations/list/
GET /api/v2/integration_v2/slack/conversations/list/ HTTP/1.1
Host: api.secoda.co
Accept: */*
200

OK

[
  {
    "id": "text",
    "name": "text"
  }
]

Last updated

Was this helpful?